.main-container {
    display: grid;
    grid-template: auto auto / auto;
    align-items: center;
}

.brand-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 30px;
    grid-column: 1;
    grid-row: 1;
    padding: 0;
    margin-bottom: 30px;
}

.brand-description {
    text-align: center;
    padding: 0;
}

.logo {
    width: 100%;
    max-width: 250px;
}

.slideshow-container {
    grid-column: 1;
    grid-row: 2;
    display: block;
    position: relative;
    aspect-ratio: 3 / 2;
}

.slideshow-item {
    display: none;
    height: 100%;
    animation-name: change-slide;
    animation-duration: 1.5s;
}

.slideshow-item.active {
    display: block;
}

@keyframes change-slide {
    from {
        opacity: 0.6;
    }

    to {
        opacity: 1;
    }
}

.slideshow-image {
    object-fit: cover;
    width: 100%;
    height: 100%;
}

.dots-container {
    position: absolute;
    bottom: 5%;
    justify-content: center;
    display: flex;
    width: 100%;
    gap: 10px;
}

.dot {
  cursor: pointer;
  height: 15px;
  width: 15px;
  background-color: #bbb;
  border-radius: 50%;
  display: inline-block;
  transition: background-color 0.6s ease;
}

.dot.active, .dot:hover {
    background-color: #717171;
}

.np-container {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.np-info-container {
    display: flex;
    flex-direction: column;
}

.np-description {
    text-align: justify;
    max-width: 700px;
}

.np-poster {
    width: 100%;
    height: 100%;
    max-width: 600px;
}

@media screen and (min-width: 768px) {
    .logo {
        max-width: 300px;
    }
}

@media screen and (min-width: 1250px) {
    .brand-container {
        margin: 0;
    }

    .slideshow-container {
        margin-left: 7%;
        grid-row: 1;
        grid-column: 2;
    }

    .main-container {
        grid-template: auto / 400px auto;
    }

    .np-container {
        flex-direction: row;
    }

    .np-poster {
        margin-left: 40px;
    }
}
